%define anolis_release 3

Name:             libidn2
Version:          2.3.4
Release:          %{anolis_release}%{?dist}
Summary:          Library to support IDNA2008 internationalized domain names
License:          (GPLv2+ or LGPLv3+) and GPLv3+
URL:              https://www.gnu.org/software/libidn/#libidn2
Source0:          https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz

BuildRequires:    gcc make gettext libunistring-devel texinfo bundled(gnulib)

%description
Libidn2 is a free software implementation of IDNA2008, Punycode and
Unicode TR46.  Its purpose is to encode and decode internationalized
domain names.
GNU libidn2 is the successor of GNU libidn. This library is backwards (API)
compatible with the libidn library, without any dependency on Libidn.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:          Development files for libidn2
Requires:         %{name} = %{EVR}, pkgconfig

%description devel
The libidn2-devel package contains libraries and header files for
developing applications that use libidn2.

%package -n idn2
Summary:          IDNA2008 internationalized domain names conversion tool
License:          GPLv3+
Requires:         %{name} = %{EVR}

%description -n idn2
The idn2 package contains the idn2 command line tool for testing
IDNA2008 conversions.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build AUTOMAKE=true
%make_build AUTOMAKE=true -C doc html

%install
%make_install AUTOMAKE=true

# Clean-up examples for documentation
%make_build -C examples distclean
rm -f examples/Makefile*

%find_lang %{name}

%check
%make_build -C tests check

%files -f %{name}.lang
%license COPYING COPYING.LESSERv3 COPYING.unicode COPYINGv2
%{_libdir}/%{name}.so.*

%files doc
%doc AUTHORS NEWS README.md

%files devel
%doc doc/%{name}.html examples
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h
%{_mandir}/man3/*
%{_datadir}/gtk-doc/

%files -n idn2
%{_bindir}/idn2
%{_mandir}/man1/idn2.1*
%{_infodir}/%{name}.info*

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.3.4-3
- optimize spec

* Thu Nov 24 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.3.4-2
- rebuild with libunistring update

* Sat Oct 29 2022 Funda Wang <fundawang@yeah.net> - 2.3.4-1
- update to 2.3.4

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.3.3-1
- update to 2.3.3

* Wed Mar 09 2022 zhang xianting <zhangxianting@uniontech.com> - 2.3.2-1
- Initial build for Anolis v23
